Bug 1657139 - Useless debug info in some task names, "Listen on candlepin events {"locale"=>"en", "current_user_id"=>nil}"
Summary: Useless debug info in some task names, "Listen on candlepin events {"locale"=...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ivan Necas
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 08:25 UTC by Ivan Necas
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.14.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 19:57:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25645 None None None 2018-12-07 08:49:31 UTC

Description Ivan Necas 2018-12-07 08:25:41 UTC
Description of problem:
Some actions include some additional internal information from the implementation
details of the task: this makes the list of tasks more unreadable and misleading.

Version-Release number of selected component (if applicable):
6.4

How reproducible:
Always

Steps to Reproduce:
1. search for label = Actions::Candlepin::ListenOnCandlepinEvents in task details (applies for some other actions as well)


Actual results:
The action is shown as `Listen on candlepin events {"locale"=>"en", "current_user_id"=>nil}`

Expected results:
The action is shown as `Listen on candlepin events`, without the additional details.

Additional info:
There are other tasks with similar behavior, majority of the regular one (such as product create or content view promote) don't have this issue.

After fixing this issue, no task should have `{}` in their action name.

Comment 3 Ivan Necas 2018-12-07 08:49:30 UTC
Created redmine issue https://projects.theforeman.org/issues/25645 from this bug

Comment 4 pm-sat@redhat.com 2018-12-07 09:01:45 UTC
Upstream bug assigned to inecas@redhat.com

Comment 5 pm-sat@redhat.com 2018-12-07 09:01:48 UTC
Upstream bug assigned to inecas@redhat.com

Comment 6 pm-sat@redhat.com 2018-12-07 11:01:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25645 has been resolved.

Comment 7 Ivan Necas 2019-02-11 16:22:20 UTC
On current satellite snap there is tfm-rubygem-foreman-tasks-0.14.4.3-1.el7sat.noarch, putting to ON_QA

Comment 12 Bryan Kearney 2019-05-14 19:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.